Bug 1815427 - Documentation to provide additional Toleration for Ceph CSI driver
Summary: Documentation to provide additional Toleration for Ceph CSI driver
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: documentation
Version: 4.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Kusuma
QA Contact: akarsha
URL:
Whiteboard:
Depends On:
Blocks: 1797537
TreeView+ depends on / blocked
 
Reported: 2020-03-20 09:04 UTC by akarsha
Modified: 2020-04-16 14:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-16 14:36:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description akarsha 2020-03-20 09:04:41 UTC
Description of problem (please be detailed as possible and provide log
snippests):
-----------------------------------------------------------------------
Steps to provide additional toleration for CSI driver.

For ref https://bugzilla.redhat.com/show_bug.cgi?id=1794389


Version of all relevant components (if applicable):


Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?


Is there any workaround available to the best of your knowledge?


Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?


Can this issue reproducible?


Can this issue reproduce from the UI?


If this is a regression, please provide more details to justify this:


Steps to Reproduce:
1.
2.
3.


Actual results:


Expected results:


Additional info:

Comment 6 akarsha 2020-04-06 05:30:13 UTC
Looks good but small typo on step 3, replace csi-plugis with csi-cephfsplugin-* and csi-rbdplugin-*. 
It would be good to change step 3 as Verify the csi-cephfsplugin-* and csi-rbdplugin-* pods are running on the tainted nodes(in above e.g, it is infra). And we can split this as verification steps.

And also it is better to add a note after display config that in above example shown is of configmap when the nodes are tainted with these key/values

Comment 8 akarsha 2020-04-06 11:28:22 UTC
Followed doc [1] and was able to see the csi-plugins on tainted nodes. So moving the bz to verified.

Procedure:
----------

1. Had one node tainted as infra.

$ oc adm taint nodes ip-10-0-131-78.us-east-2.compute.internal  nodetype=infra:NoSchedule
node/ip-10-0-131-78.us-east-2.compute.internal tainted

2. Created configmap rook-ceph-operator-config.
$ oc create -f rook-ceph-operator-config.yaml
configmap/rook-ceph-operator-config created

3. Restarted rook-ceph-operator.
$ oc delete pod rook-ceph-operator-74c5c8d975-ckr9x -n openshift-storage
pod "rook-ceph-operator-74c5c8d975-ckr9x" deleted


Verification:
-------------

csi-cephfsplugin-* and csi-rbdplugin-* pods are running on the tainted nodes

$ oc get pods -n openshift-storage -o wide| grep ip-10-0-131-78.us-east-2.compute.internal
csi-cephfsplugin-gkklt                                            3/3     Running     0          84s   10.0.131.78    ip-10-0-131-78.us-east-2.compute.internal    <none>           <none>
csi-rbdplugin-mfq4d                                               3/3     Running     0          74s   10.0.131.78    ip-10-0-131-78.us-east-2.compute.internal    <none>           <none>


[1]: https://access.redhat.com/documentation/en-us/red_hat_openshift_container_storage/4.3/html-single/managing_openshift_container_storage/index?lb_target=preview#managing-container-storage-interface-component-placements_rhocs


Note You need to log in before you can comment on or make changes to this bug.